<div class="page" v-bind:style="{marginRight : marginRight, left : sidebarWidth}" [ngStyle]="{'margin-right': (byPlatformSate$ | async).isSidebarOpen? sidebarWightOpen : sidebarWightClose}">

<app-sidebar (toggleSidebar)="toggleSidebar()"
             (sidebarPageSelection)="sidebarPageSelection($event)"
             [sidebarActivePage]="(byPlatformSate$ | async).sidebarActivePage"
             [sidebarOpen]="(byPlatformSate$ | async).isSidebarOpen"></app-sidebar>

  <!--<right-sidebar ref="rightside" v-on:calkback="rightSideBarToggle"></right-sidebar>-->

  <div class="all-view-title">By Platform</div>
  <div class="top-page">

    <i *ngIf="!(byPlatformSate$ | async).isSidebarOpen" class="toggle-sidebar fa fa-wrench top-item-right" (click)="toggleSidebar($event)"></i>

    <i class="icon fa fa-th top-item-right"
       [ngClass]="(byPlatformSate$ | async).detailMode ? '' : 'iconactive'"
       (click)="normalMode()"></i>

    <i class="icon fa fa-th-large top-item-right icon2"
       [ngClass]="(byPlatformSate$ | async).detailMode ? 'iconactive' : ''"
       (click)="detailMode()"></i>

    <div class="separator top-item-right"></div>

    <!--Search bar-->
    <div class="search-bar top-item-right">
      <input
        value="{{searchValue}}" class="search-input" type="search" placeholder="  Search..."
        [style.width]="(byPlatformSate$ | async).isSearchOpen ? widthInputOpen : widthInputClose"
        v-on:keyup.stop="updateSearch($event.target.value)">
      <i class="search-icon icon fa fa-search"
         [ngStyle]="{'background-color' : (byPlatformSate$ | async).isSearchOpen ? buttonColorOpen : buttonColorClose}"
         (click)="serachToggle()"
         [ngClass]="[(byPlatformSate$ | async).isSearchOpen ? 'fa-times' : '']">
      </i>
    </div>

  </div>


  <!--<detail v-if="view === 'detail'"></detail>-->
  <!--<normal v-if="view === 'normal'"></normal>-->

    <app-rows-by-platform [monitoredObjects]="(MonitoredObjectsSate$|async).monitoredObjects" [detail]="(byPlatformSate$ | async).detailMode"
    style="height: 100%;">
    </app-rows-by-platform>
  <!--<app-row.by.platform (monitoredObject)="(MonitoredObjectsSate$ | async).monitoredObjects[0]"></app-row.by.platform>-->
  <!--<div class="platform-list">-->
  <!--<div class="platform" v-for="object in monitoredObject.model.ts"><div class="status"></div> <div class="content">{{object.alias}}</div></div>-->
  <!--</div>-->
</div>
